# gds-dialog - Angular

## Import

```typescript
import { GdsDialogComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-dialog>
  <!-- content -->
</gds-dialog>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `gds-ui-state` | `gdsUiState` | `(gdsUiState)="handler($event)"` |
| `gds-close` | `gdsClose` | `(gdsClose)="handler($event)"` |
| `gds-show` | `gdsShow` | `(gdsShow)="handler($event)"` |
